Subject: Re: [PATCH v2 00/11] Zsh prompt tests

From: Richard Hansen <[email-masked]>
Date: Tue, 10 Jun 2014 16:28:46 -0400

On 2014-06-10 16:06, Torsten Bögershausen wrote:
> On 2014-06-04 23.01, Richard Hansen wrote:
> []
> I haven't digged too deep, but this is what I get on pu:
> 
> ./t9904-zsh-prompt.sh 
> ./lib-zsh.sh:emulate:42: too many arguments
> ./lib-zsh.sh:emulate:52: too many arguments
> /lib-prompt-tests.sh:.:6: no such file or directory: /lib-prompt-tests.sh
> ##

Thank you for trying these patches and reporting your findings!

> 
>  zsh --version
> zsh 4.3.9 (i386-apple-darwin10.0)

zsh 4.3.9 is over 5 years old (2008-11-03).  Is that young enough that
we should still try to support it?

> 
> I'm not a zsh expert, but I can offer to do more tests/debugging if needed 

I'm not a zsh expert either (I just got a crash course over the past
couple of weeks), but if I were to guess I'd say that the 'emulate -c'
option is new to zsh 5.0 (2012-07-21).  When I next have time I'll try
testing with a bunch of different versions of zsh.

Thanks,
Richard